/*** MyErrorMessage.cpp ***/
// Copyright (C) 2009 by Torsten Knorr
// All rights reserved!
// create-soft@freenet.de
//-----------------------------------------------
 #include "stdafx.h"
 #include <windows.h>
//-----------------------------------------------
BOOL MyErrorMessage(TCHAR * sz_message)
	{
// format for wsprintf
	TCHAR * sz_format = "ERROR: %d: %s.\n\r%s\r\n";
	TCHAR * sz_error_string;
	TCHAR * sz_output_string;
	DWORD dw_error_code = GetLastError();
	DWORD dw_string_length = 0;
// Get error string from system
	dw_string_length = FormatMessage(
		FORMAT_MESSAGE_FROM_SYSTEM | FORMAT_MESSAGE_ALLOCATE_BUFFER | 80 ,
		NULL,
		dw_error_code,
		//MAKELANGID(LANG_ENGLISH, SUBLANG_ENGLISH_US),
		//MAKELANGID(LANG_GERMAN, SUBLANG_GERMAN),
// Default language
		0,
		(LPTSTR)&sz_error_string,
		0,
		NULL
		);
	if(dw_string_length == 0)
		sz_error_string = (TCHAR*)LocalAlloc(LPTR, 1);
// Allocate buffer for error string from system, passed in string
// and extra stuff from the szFormat string.
	sz_output_string = (TCHAR*)LocalAlloc(LPTR, strlen(sz_message) + dw_string_length + 30);
// If no final buffer, then can't format error.
	if(NULL == sz_output_string)
		MessageBox(NULL, TEXT("Cannot properly report error."), TEXT("Fatal Error"), MB_ICONERROR);
    else
		{	
		wsprintf(sz_output_string, sz_format, dw_error_code, sz_message, sz_error_string);
		OutputDebugString(sz_output_string);
		MessageBox(NULL, sz_output_string, TEXT("MyErrorMessage"), MB_ICONERROR);
// Free final buffer.
		LocalFree(sz_output_string);
		}
// Free extended string buffer.
	LocalFree(sz_error_string);
	return FALSE;
	}
//-----------------------------------------------