/*** TestRelayCardDlg.h ***/
// Copyright (C) 2009 by Torsten Knorr
// All rights reserved!
// create-soft@freenet.de
//-----------------------------------------------
 #pragma once
 #include "afxwin.h"
 #include "RelayCard.h"
 #include "afxcmn.h"
//-----------------------------------------------
// CTestRelayCardDlg Dialogfeld
 class CTestRelayCardDlg : 
	public CDialog,
	private CRelayCard
	{
// Konstruktion
	public:
		CTestRelayCardDlg(CWnd* pParent = NULL);	// Standardkonstruktor
// Dialogfelddaten
		enum { IDD = IDD_TESTRELAYCARD_DIALOG };
	protected:
		virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
		virtual void OnOK();
// Implementierung
		HICON m_hIcon;
// Generierte Funktionen fr die Meldungstabellen
		virtual BOOL OnInitDialog();
		afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
		afx_msg void OnPaint();
		afx_msg HCURSOR OnQueryDragIcon();
		DECLARE_MESSAGE_MAP()
	private:
		CString FormatDataString(unsigned char uc_data);
		void UpdateChecksum(void);
		void ShowFrames(void);
		CStringArray m_explanations;
		PFRAME_LIST m_pframe_list;
		unsigned char m_uc_data;
	public:
		CComboBox m_combo1_command;
		CComboBox m_combo2_address;
		CStatic m_cmd_explanation;
		CButton m_check1_bit8;
		CButton m_check2_bit7;
		CButton m_check3_bit6;
		CButton m_check4_bit5;
		CButton m_check5_bit4;
		CButton m_check6_bit3;
		CButton m_check7_bit2;
		CButton m_check8_bit1;
		CEdit m_edit1_data;
		CEdit m_edit2_checksum;
		CListCtrl m_list1_frames;
		afx_msg void OnCbnSelchangeCombo1();
		afx_msg void OnCbnSelchangeCombo2();
		afx_msg void OnBnClickedCheck1();
		afx_msg void OnBnClickedCheck2();
		afx_msg void OnBnClickedCheck3();
		afx_msg void OnBnClickedCheck4();
		afx_msg void OnBnClickedCheck5();
		afx_msg void OnBnClickedCheck6();
		afx_msg void OnBnClickedCheck7();
		afx_msg void OnBnClickedCheck8();
		afx_msg void OnBnClickedButton1();
		afx_msg void OnBnClickedButton2();
		afx_msg void OnBnClickedButton3();
		afx_msg void OnBnClickedButton4();
		afx_msg void OnBnClickedButton5();
		afx_msg void OnBnClickedButton6();
		afx_msg void OnBnClickedButton7();
		afx_msg void OnBnClickedButton8();
		afx_msg void OnBnClickedButton9();
		afx_msg void OnBnClickedButton10();
		afx_msg void OnBnClickedButton11();
		afx_msg void OnBnClickedButton12();
		afx_msg void OnBnClickedButton13();
		afx_msg void OnBnClickedButton14();
		afx_msg void OnBnClickedButton15();
		afx_msg void OnBnClickedButton16();
		afx_msg void OnBnClickedButton17();
		afx_msg void OnBnClickedButton18();
		afx_msg void OnBnClickedButton19();
		afx_msg void OnBnClickedButton20();
		afx_msg void OnBnClickedButton21();
	};
//-----------------------------------------------